Postfix forwarder - warning messages



  • Hi Marcello,

    Today I've suddenly started to see the following messages repeating in syslog:

    warning: database /usr/local/etc/postfix/sender_access.db is older than source file /usr/local/etc/postfix/sender_access
    postfix/trivial-rewrite[11876]: warning: database /usr/local/etc/postfix/transport.db is older than source file /usr/local/etc/postfix/transport
    

    Emails still seem to be coming through OK but the only clue I could find from Google was:

    Every time you make a change to the DB files like sender_access, helo_access, etc…you need to postmap them to update the .db files.

    Any idea what this means?



  • I have same file date on file and database

    -rw-r--r--  1 root  wheel  1638335 Dec 14 15:00 relay_ldap_recipients.txt
    -rw-r--r--  1 root  wheel  1638336 Jan 13 15:06 relay_recipients
    -rw-r--r--  1 root  wheel  2523136 Jan 13 15:06 relay_recipients.db
    -rw-r--r--  1 root  wheel       29 Jan 13 15:06 sender_access
    -rw-r--r--  1 root  wheel    65536 Jan 13 15:06 sender_access.db
    -rw-r--r--  1 root  wheel      790 Jan 13 15:06 transport
    -rw-r--r--  1 root  wheel    65536 Jan 13 15:06 transport.db
    
    

    what version of postfix forwarder are you using?



  • 2.8.7,1 pkg v.2.3.3

    It's a pity that you can only see packages that haven't been installed in the Available Packages page - no easy way to see if the currently installed version is out of date.

    Saved the postfix config last night (with no changes) and no warning messages today.  I'll watch to see if they appear again.



  • @biggsy:

    It's a pity that you can only see packages that haven't been installed in the Available Packages page - no easy way to see if the currently installed version is out of date.

    When there is updates to installed packages, you can see your current version and updated version available.


Locked